# Version SVN: $Id: schema.yml 80 2013-08-11 10:10:31Z sven.poeche $
propel:
  _attributes:              { package: plugins.stOpenIdPlugin.lib.model }

  user_openid:
    _attributes:            { phpName: UserOpenid, allowPkInsert: true }
    url:                    { type: varchar, size: 255, required: true, primaryKey: true }
    uid:                    { type: integer, size:  11, required: true }
    created_at:             { type: timestamp, required: true }
    updated_at:             { type: timestamp, required: true }
    _foreignKeys:
      uo_fk_uid:            { foreignTable: user, references: [ {local: uid, foreign: uid} ] }
    _indexes:
      uo_i_url:             [url]
      uo_i_uid:             [uid]
